## net.i2p.client.naming
Class DummyAddressDB

    java.lang.Object
      net.i2p.client.naming.AddressDB
          net.i2p.client.naming.DummyAddressDB

public class DummyAddressDB
extends AddressDB

Field Summary

Fields inherited from class net.i2p.client.naming.AddressDB
`_context, PROP_IMPL`

Constructor Summary
`DummyAddressDB(I2PAppContext context)`

Method Summary
`boolean` `contains(Address address)`
`boolean` `contains(java.lang.String hostname)`
`Address` `get(java.lang.String hostname)`
`java.util.Collection` `hostnames()`
`Address` `put(Address address)`
`Address` `remove(Address address)`
`Address` `remove(java.lang.String hostname)`

Methods inherited from class net.i2p.client.naming.AddressDB
`createInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyAddressDB

    public DummyAddressDB(I2PAppContext context)

Method Detail

### get

    public Address get(java.lang.String hostname)

  Specified by:
    `get` in class `AddressDB`

### put

    public Address put(Address address)

  Specified by:
    `put` in class `AddressDB`

### remove

    public Address remove(java.lang.String hostname)

  Specified by:
    `remove` in class `AddressDB`

### remove

    public Address remove(Address address)

  Specified by:
    `remove` in class `AddressDB`

### contains

    public boolean contains(Address address)

  Specified by:
    `contains` in class `AddressDB`

### contains

    public boolean contains(java.lang.String hostname)

  Specified by:
    `contains` in class `AddressDB`

### hostnames

    public java.util.Collection hostnames()

  Specified by:
    `hostnames` in class `AddressDB`